package cn.ibizlab.humanresource.core.base.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.base.domain.HROrgAddress;
/**
 * 关系型数据实体[HROrgAddress] 查询条件对象
 */
@Slf4j
@Data
public class HROrgAddressSearchContext extends QueryWrapperContext<HROrgAddress> {

	private String n_hrorgaddressname_like;//[名称或描述]
	public void setN_hrorgaddressname_like(String n_hrorgaddressname_like) {
        this.n_hrorgaddressname_like = n_hrorgaddressname_like;
        if(!ObjectUtils.isEmpty(this.n_hrorgaddressname_like)){
            this.getSearchCond().like("hrorgaddressname", n_hrorgaddressname_like);
        }
    }
	private String n_uses_eq;//[用途]
	public void setN_uses_eq(String n_uses_eq) {
        this.n_uses_eq = n_uses_eq;
        if(!ObjectUtils.isEmpty(this.n_uses_eq)){
            this.getSearchCond().eq("uses", n_uses_eq);
        }
    }
	private String n_hrorganizationid_eq;//[组织]
	public void setN_hrorganizationid_eq(String n_hrorganizationid_eq) {
        this.n_hrorganizationid_eq = n_hrorganizationid_eq;
        if(!ObjectUtils.isEmpty(this.n_hrorganizationid_eq)){
            this.getSearchCond().eq("hrorganizationid", n_hrorganizationid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrorgaddressname", query)   
            );
		 }
	}
}



